process.NODE_ENV = "test";

let chai = require('chai')
let chaiHttp = require('chai-http')
const models = require('../models');
const User = models.user;
let app = require('../app.js')
let should = chai.should();
let expect = chai.expect;

chai.use(chaiHttp);

describe('Users', () => {
    beforeEach((done) => {
        User.destroy({
            where: {},
            truncate: true
        });
        done();
    });
    describe('User Sign Up', ()=>{
        it('Sign user up', (done) =>{
            let user = {
                "name": "Komi Shouko",
                "username": "komisama",
                "email":"komi@gmail.com",
                "role":"Member Dinas",
                "password":"komisama"
            };
            chai.request('http://127.0.0.1:8081')
                .post('/api/auth/signup')
                .send(user)
                .end((err, res)=>{
                    console.log(res.text);
                    should.exist(res);
                    res.should.have.status(200);
                    expect(res.text).to.equal('User registered successfully!');
                    done();
                });
        });
    });
});